From 0677556821e6f56bfa3e86a91d6b127b102f830e Mon Sep 17 00:00:00 2001
From: Ralf Haferkamp <ralf@openldap.org>
Date: Wed, 21 Nov 2007 14:21:45 +0000
Subject: [PATCH] reenabled answerability tests as the real issue (ITS#5187)
 should be fixed now

---
 tests/scripts/test020-proxycache | 48 +++++++++++++++-----------------
 1 file changed, 23 insertions(+), 25 deletions(-)

diff --git a/tests/scripts/test020-proxycache b/tests/scripts/test020-proxycache
index 69b75f0889..6830c1c109 100755
--- a/tests/scripts/test020-proxycache
+++ b/tests/scripts/test020-proxycache
@@ -416,34 +416,32 @@ esac
 #actually, 12 would be answerable, but since 8 made mail=*example.com
 #not answerable because of sizelimit, queries contained in it are no longer
 #answerable as well
-
-#FIXME: Anwerability test is currently disabled due to ITS#5187
-#ANSWERABILITY=111001
-#grep ANSWERABLE $LOG2 | awk -vFIRST=$FIRST '{ 
-#		if (NR > FIRST) { 
-#			if ($2 == "NOT") 
-#				printf "Query %d not answerable\n",NR
-#			else 
-#				printf "Query %d answerable\n",NR 
-#		}
-#	}' 
-#ANSWERED=`grep ANSWERABLE $LOG2 | awk -vFIRST=$FIRST '{ 
-#		if (NR > FIRST) { 
-#			if ($2 == "NOT") 
-#				printf "0" 
-#			else 
-#				printf "1"
-#		} 
-#	}'`
+ANSWERABILITY=111001
+grep ANSWERABLE $LOG2 | awk -vFIRST=$FIRST '{ 
+		if (NR > FIRST) { 
+			if ($2 == "NOT") 
+				printf "Query %d not answerable\n",NR
+			else 
+				printf "Query %d answerable\n",NR 
+		}
+	}' 
+ANSWERED=`grep ANSWERABLE $LOG2 | awk -vFIRST=$FIRST '{ 
+		if (NR > FIRST) { 
+			if ($2 == "NOT") 
+				printf "0" 
+			else 
+				printf "1"
+		} 
+	}'`
 
 test $KILLSERVERS != no && kill -HUP $KILLPIDS
 
-#if test "$ANSWERABILITY" = "$ANSWERED" ; then
-#	echo "Successfully verified answerability"
-#else 
-#	echo "Error in verifying answerability"
-#	exit 1
-#fi
+if test "$ANSWERABILITY" = "$ANSWERED" ; then
+	echo "Successfully verified answerability"
+else 
+	echo "Error in verifying answerability"
+	exit 1
+fi
 
 echo "Filtering ldapsearch results..."
 . $LDIFFILTER < $SEARCHOUT > $SEARCHFLT
-- 
GitLab